#!/usr/bin/env python
#coding:utf8

from rpc.server import SimpleRpcServer
import socket

def add(op1, op2):
	# This will be printed on server side:
	print 'add %s + %s' % (op1, op2)
	# This will be returned to the client:
	return op1 + op2

handler = {
	'add': add
}

# Initialization of the server socket
sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
sock.bind(('0.0.0.0', 1234))
sock.listen(5)

# Create the server objet binded on the socket we create above:
server = SimpleRpcServer(sock, default_handler=handler)

# Launch the server's event loop with proper exit when exception is raised:
try:
	server.run()
except Exception as err:
	print err
	server.shutdown()

